/// <reference types="react" />
interface FormFieldProps {
    disabled?: boolean;
    initialValue?: string;
    label: string;
    required?: boolean;
    tooltip?: string;
    type?: 'text' | 'number' | 'money' | 'textarea' | 'percentage' | 'select' | 'radios' | 'upload' | 'email' | 'password';
    options?: any;
    maxLength?: number;
    numberProps?: {
        decimalScale?: number;
        minValue?: number;
        maxValue?: number;
    };
    showDocTypeDropdown?: boolean;
    icon?: any;
    size?: 'small' | 'medium' | 'large';
    labelHidden?: boolean;
}
interface FormProps {
    fields: FormFieldProps[];
    onSubmit: any;
}
declare const Form: (props: FormProps) => JSX.Element;
export default Form;
